Bug 182138 - [NEW PORT] devel/pecl-jsmin: PHP extension for minifying JavaScript
Summary: [NEW PORT] devel/pecl-jsmin: PHP extension for minifying JavaScript
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Antoine Brodin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-16 04:20 UTC by Gasol Wu
Modified: 2013-11-10 15:51 UTC (History)
0 users

See Also:


Attachments
.shar (1.45 KB, text/plain)
2013-09-16 04:20 UTC, Gasol Wu
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gasol Wu 2013-09-16 04:20:00 UTC
This extension provides an API for minifying JavaScript.

WWW: http://pecl.php.net/package/jsmin

Generated with FreeBSD Port Tools 0.99_8 (mode: new)
Comment 1 Edwin Groothuis freebsd_committer 2013-09-16 04:20:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Bryan Drewery freebsd_committer 2013-09-22 15:12:19 UTC
Responsible Changed
From-To: miwi->freebsd-ports-bugs

Back to the heap due to timeout
Comment 3 Antoine Brodin freebsd_committer 2013-11-05 18:01:54 UTC
Responsible Changed
From-To: freebsd-ports-bugs->antoine

Take
Comment 4 dfilter service freebsd_committer 2013-11-10 15:42:59 UTC
Author: antoine
Date: Sun Nov 10 15:42:50 2013
New Revision: 333407
URL: http://svnweb.freebsd.org/changeset/ports/333407

Log:
  New port: devel/pecl-jsmin
  This extension provides an API for minifying JavaScript.
  WWW: http://pecl.php.net/package/jsmin
  
  PR:		ports/182138
  Submitted by:	Gasol Wu

Added:
  head/devel/pecl-jsmin/
  head/devel/pecl-jsmin/Makefile   (contents, props changed)
  head/devel/pecl-jsmin/distinfo   (contents, props changed)
  head/devel/pecl-jsmin/pkg-descr   (contents, props changed)
Modified:
  head/devel/Makefile

Modified: head/devel/Makefile
==============================================================================
--- head/devel/Makefile	Sun Nov 10 15:41:29 2013	(r333406)
+++ head/devel/Makefile	Sun Nov 10 15:42:50 2013	(r333407)
@@ -3257,6 +3257,7 @@
     SUBDIR += pecl-inclued
     SUBDIR += pecl-inotify
     SUBDIR += pecl-intl
+    SUBDIR += pecl-jsmin
     SUBDIR += pecl-judy
     SUBDIR += pecl-libevent
     SUBDIR += pecl-mcve

Added: head/devel/pecl-jsmin/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/pecl-jsmin/Makefile	Sun Nov 10 15:42:50 2013	(r333407)
@@ -0,0 +1,21 @@
+# Created by: Gasol Wu <gasol.wu@gmail.com>
+# $FreeBSD$
+
+PORTNAME=	jsmin
+PORTVERSION=	0.1.1
+CATEGORIES=	devel
+MASTER_SITES=	http://pecl.php.net/get/
+PKGNAMEPREFIX=	pecl-
+EXTRACT_SUFX=	.tgz
+DIST_SUBDIR=	PECL
+
+MAINTAINER=	gasol.wu@gmail.com
+COMMENT=	PHP extension for minifying JavaScript
+
+LICENSE=	PHP301
+
+USE_PHP=	yes
+USE_PHPEXT=	yes
+IGNORE_WITH_PHP=52
+
+.include <bsd.port.mk>

Added: head/devel/pecl-jsmin/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/pecl-jsmin/distinfo	Sun Nov 10 15:42:50 2013	(r333407)
@@ -0,0 +1,2 @@
+SHA256 (PECL/jsmin-0.1.1.tgz) = b83f80a46662b3e66cfba621dd5c76fcd3fd667efb2663879e261cbff26fdc27
+SIZE (PECL/jsmin-0.1.1.tgz) = 7861

Added: head/devel/pecl-jsmin/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/pecl-jsmin/pkg-descr	Sun Nov 10 15:42:50 2013	(r333407)
@@ -0,0 +1,3 @@
+This extension provides an API for minifying JavaScript.
+
+WWW: http://pecl.php.net/package/jsmin
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Antoine Brodin freebsd_committer 2013-11-10 15:50:32 UTC
State Changed
From-To: open->closed

New port committed, thanks for the submission!